# ncurses 6.0 - patch 20171111 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 6.0 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 6.0 can be found at
# 	ftp://ftp.invisible-island.net/ncurses/6.0
#	http://invisible-mirror.net/archives/ncurses/6.0 
#
# ------------------------------------------------------------------------------
# ftp://ftp.invisible-island.net/ncurses/6.0/ncurses-6.0-20171111.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sat Nov 11 22:20:35 UTC 2017
# ------------------------------------------------------------------------------
# NEWS                               |    8 +++-
# VERSION                            |    2 -
# dist.mk                            |    4 +-
# misc/terminfo.src                  |   70 +++++++++++++++++++++++++++++++----
# package/debian-mingw/changelog     |    4 +-
# package/debian-mingw64/changelog   |    4 +-
# package/debian/changelog           |    4 +-
# package/mingw-ncurses.nsi          |    4 +-
# package/mingw-ncurses.spec         |    2 -
# package/ncurses.spec               |    2 -
# test/package/ncurses-examples.spec |   32 ++++++++++------
# 11 files changed, 103 insertions(+), 33 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.2995 
--- ncurses-6.0-20171104+/NEWS	2017-10-30 22:20:57.000000000 +0000
+++ ncurses-6.0-20171111/NEWS	2017-11-11 20:35:53.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2995 2017/10/30 22:20:57 tom Exp $
+-- $Id: NEWS,v 1.2998 2017/11/11 20:35:53 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,12 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20171111
+	+ add "op" to xterm+256setaf -TD
+	+ reviewed terminology 1.0.0 -TD
+	+ reviewed st 0.7 -TD
+	+ suppress debug-package for ncurses-examples rpm build.
+
 20171104
 	+ check for interrupt in color-pair initialization of dots_curses.c,
 	  dots_xcurses.c
Index: VERSION
--- ncurses-6.0-20171104+/VERSION	2017-10-29 16:32:06.000000000 +0000
+++ ncurses-6.0-20171111/VERSION	2017-11-05 11:30:20.000000000 +0000
@@ -1 +1 @@
-5:0:9	6.0	20171104
+5:0:9	6.0	20171111
Index: dist.mk
Prereq:  1.1190 
--- ncurses-6.0-20171104+/dist.mk	2017-10-29 16:32:06.000000000 +0000
+++ ncurses-6.0-20171111/dist.mk	2017-11-05 11:30:20.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1190 2017/10/29 16:32:06 tom Exp $
+# $Id: dist.mk,v 1.1191 2017/11/05 11:30:20 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 6
 NCURSES_MINOR = 0
-NCURSES_PATCH = 20171104
+NCURSES_PATCH = 20171111
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: misc/terminfo.src
--- ncurses-6.0-20171104+/misc/terminfo.src	2017-08-26 21:07:47.000000000 +0000
+++ ncurses-6.0-20171111/misc/terminfo.src	2017-11-11 20:24:40.000000000 +0000
@@ -6,8 +6,8 @@
 # Report bugs and new terminal descriptions to
 #	bug-ncurses@gnu.org
 #
-#	$Revision: 1.617 $
-#	$Date: 2017/08/26 21:07:47 $
+#	$Revision: 1.623 $
+#	$Date: 2017/11/11 20:24:40 $
 #
 # The original header is preserved below for reference.  It is noted that there
 # is a "newer" version which differs in some cosmetic details (but actually
@@ -4521,7 +4521,7 @@
 xterm+256setaf|xterm 256-color (set-only),
 	ccc@,
 	colors#0x100, pairs#0x7fff,
-	initc@,
+	initc@, op=\E[39;49m,
 	setab=\E[%?%p1%{8}%<%t4%p1%d%e%p1%{16}%<%t10%p1%{8}%-%d%e48;
 	      5;%p1%d%;m,
 	setaf=\E[%?%p1%{8}%<%t3%p1%d%e%p1%{16}%<%t9%p1%{8}%-%d%e38;5
@@ -5944,6 +5944,31 @@
 
 #### SIMPLETERM
 # st.suckless.org
+
+st|stterm| simpleterm,
+	use=st-0.7,
+
+# Reviewed 0.7:
+#	dim is intermittent, sometimes works, sometimes does not
+#	italics may show up with yellow color 
+#	has control cursor-keys, alt cursor-keys, still no combinations
+#	has control pageup/down
+st-0.7|simpleterm 0.7,
+	ccc, Se, Ss,
+	dim=\E[2m,
+	initc=\E]4;%p1%d;rgb\:%p2%{255}%*%{1000}%/%2.2X/%p3%{255}%*
+	      %{1000}%/%2.2X/%p4%{255}%*%{1000}%/%2.2X\E\\,
+	kcbt@, kent@, oc=\E]104\007,
+	setb=\E[4%?%p1%{1}%=%t4%e%p1%{3}%=%t6%e%p1%{4}%=%t1%e%p1%{6}
+	     %=%t3%e%p1%d%;m,
+	setf=\E[3%?%p1%{1}%=%t4%e%p1%{3}%=%t6%e%p1%{4}%=%t1%e%p1%{6}
+	     %=%t3%e%p1%d%;m,
+	Ss=\E]52;%p1%s;%p2%s\007, kDN3=\E[1;3B, kDN5=\E[1;5B,
+	kLFT3=\E[1;3D, kLFT5=\E[1;5D, kNXT3=\E[6;3~,
+	kNXT5=\E[6;5~, kPRV3=\E[5;3~, kPRV5=\E[5;5~,
+	kRIT3=\E[1;3C, kRIT5=\E[1;5C, kUP3=\E[1;3A, kUP5=\E[1;5A,
+	rmxx=\E[29m, smxx=\E[9m, use=st-0.6,
+
 # st-0.4.1
 #
 # This version uses a table which supports a single modifier (a subset of
@@ -5972,7 +5997,7 @@
 # Tmux unofficial extensions, see TERMINFO EXTENSIONS in tmux(1)
 # still has no function keys past kf36 (no combinations of modifiers)
 # no application keypad mode, e.g, kent.
-st|stterm| simpleterm 0.4.1,
+st-0.6|simpleterm 0.6,
 	am, bce, hs, mir, msgr, npc, xenl, Tc, XT,
 	colors#8, cols#80, it#8, lines#24, pairs#64,
 	acsc=+C\,D-A.B0E``aaffgghFiGjjkkllmmnnooppqqrrssttuuvvwwxxyy
@@ -6025,8 +6050,8 @@
 	    %t;7%;%?%p4%t;5%;%?%p7%t;8%;m,
 	sgr0=\E[0m, smacs=\E(0, smcup=\E[?1049h, smir=\E[4h,
 	smkx=\E[?1h\E=, smso=\E[7m, smul=\E[4m, tbc=\E[3g,
-	tsl=\E]0;, u6=\E[%i%d;%dR, u7=\E[6n, u8=\E[?1;2c, u9=\E[c,
-	vpa=\E[%i%p1%dd, Se=\E[2 q, Ss=\E[%p1%d q,
+	u6=\E[%i%d;%dR, u7=\E[6n, u8=\E[?1;2c, u9=\E[c,
+	vpa=\E[%i%p1%dd, Se=\E[2 q, Ss=\E[%p1%d q, use=xterm+sl,
 	use=ecma+italics,
 #
 # st-0.1.1
@@ -6198,7 +6223,7 @@
 # This description uses xterm+pcf0, which is misleading because the program
 # does not handle combinations of modifiers - but listing them all would
 # involve more effort than its developers spent -TD
-terminology|EFL-based terminal emulator,
+terminology-0.6.1|EFL-based terminal emulator,
 	mc5i@, xon@,
 	blink@, ed@, el@, el1@, invis=\E[8m, kLFT=\E[1;2D,
 	kRIT=\E[1;2C, kf10=\E[21~, kf11=\E[23~, kf12=\E[24~,
@@ -6216,6 +6241,32 @@
 	kRIT7=\E[1;7C, kUP=\E[1;2A, use=xterm+pcf0, use=vt100,
 	use=xterm+256setaf,
 
+# Tested terminology 1.0.0
+#
+# tack -
+#	Shifted cursor-keys send nothing, but xterm modifiers for control+shift
+#	and control+alt were added like xterm+pcc2
+#	Editing keys have some features from xterm+pce2
+#	Changed from xterm+pcf0 to xterm+pcf2
+#
+# vttest -
+#	REP, SL, SR fail
+#
+# Aside from the partial fixes for function/cursor/editing keys, no improvement
+# in other tests versus 0.6.1
+terminology-1.0.0|EFL-based terminal emulator,
+	civis=\E[?25l, cnorm=\E[?12l\E[?25h, dim=\E[2m,
+	flash=\E[?5h$<100/>\E[?5l, kend=\E[OF, khome=\E[OH,
+	rmacs=\E(B,
+	sgr=%?%p9%t\E(0%e\E(B%;\E[0%?%p6%t;1%;%?%p5%t;2%;%?%p2%t;4%;
+	    %?%p1%p3%|%t;7%;%?%p7%t;8%;m$<2>,
+	sgr0=\E(B\E[m, smacs=\E(0, use=ecma+italics,
+	use=xterm+x11mouse, use=xterm+pce2, use=xterm+pcf2,
+	use=xterm+pcc2, use=terminology-0.6.1,
+
+terminology|EFL-based terminal emulator,
+	use=terminology-1.0.0,
+
 ######## UNIX VIRTUAL TERMINALS, VIRTUAL CONSOLES, AND TELNET CLIENTS
 #
 
@@ -25251,4 +25302,9 @@
 # 2017-08-26
 #	+ fixes for "iterm2" (report by Leonardo Brondani Schenkel) -TD
 #
+# 2017-11-11
+#	+ add "op" to xterm+256setaf -TD
+#	+ reviewed terminology 1.0.0 -TD
+#	+ reviewed st 0.7 -TD
+#
 ######## SHANTIH!  SHANTIH!  SHANTIH!
Index: package/debian-mingw/changelog
--- ncurses-6.0-20171104+/package/debian-mingw/changelog	2017-10-29 16:32:06.000000000 +0000
+++ ncurses-6.0-20171111/package/debian-mingw/changelog	2017-11-05 11:30:20.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20171104) unstable; urgency=low
+ncurses6 (6.0+20171111) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 29 Oct 2017 12:32:06 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 05 Nov 2017 06:30:20 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-6.0-20171104+/package/debian-mingw64/changelog	2017-10-29 16:32:06.000000000 +0000
+++ ncurses-6.0-20171111/package/debian-mingw64/changelog	2017-11-05 11:30:20.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20171104) unstable; urgency=low
+ncurses6 (6.0+20171111) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 29 Oct 2017 12:32:06 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 05 Nov 2017 06:30:20 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-6.0-20171104+/package/debian/changelog	2017-10-29 16:32:06.000000000 +0000
+++ ncurses-6.0-20171111/package/debian/changelog	2017-11-05 11:30:20.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20171104) unstable; urgency=low
+ncurses6 (6.0+20171111) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 29 Oct 2017 12:32:06 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 05 Nov 2017 06:30:20 -0500
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.238 
--- ncurses-6.0-20171104+/package/mingw-ncurses.nsi	2017-10-29 16:32:06.000000000 +0000
+++ ncurses-6.0-20171111/package/mingw-ncurses.nsi	2017-11-05 11:30:20.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.238 2017/10/29 16:32:06 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.239 2017/11/05 11:30:20 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "6"
 !define VERSION_MINOR "0"
 !define VERSION_YYYY  "2017"
-!define VERSION_MMDD  "1104"
+!define VERSION_MMDD  "1111"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-6.0-20171104+/package/mingw-ncurses.spec	2017-10-29 16:32:06.000000000 +0000
+++ ncurses-6.0-20171111/package/mingw-ncurses.spec	2017-11-05 11:30:20.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 6.0
-Release: 20171104
+Release: 20171111
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-6.0-20171104+/package/ncurses.spec	2017-10-29 16:32:06.000000000 +0000
+++ ncurses-6.0-20171111/package/ncurses.spec	2017-11-05 11:30:20.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 6.0
-Release: 20171104
+Release: 20171111
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: test/package/ncurses-examples.spec
Prereq:  1.6 
--- ncurses-6.0-20171104+/test/package/ncurses-examples.spec	2017-08-11 00:12:20.000000000 +0000
+++ ncurses-6.0-20171111/test/package/ncurses-examples.spec	2017-11-11 15:21:19.000000000 +0000
@@ -1,8 +1,8 @@
 Summary: ncurses-examples - example/test programs from ncurses
 %define AppProgram ncurses-examples
-%define AppVersion MAJOR.MINOR
-%define AppRelease YYYYMMDD
-# $Id: ncurses-examples.spec,v 1.6 2017/08/11 00:12:20 tom Exp $
+%define AppVersion 6.0
+%define AppRelease 20171111
+# $Id: ncurses-examples.spec,v 1.7 2017/11/11 15:21:19 tom Exp $
 Name: %{AppProgram}
 Version: %{AppVersion}
 Release: %{AppRelease}
@@ -13,8 +13,8 @@
 Packager: Thomas Dickey <dickey@invisible-island.net>
 
 %description
-These are the example/test programs from the ncurses MAJOR.MINOR distribution,
-for patch-date YYYYMMDD.
+These are the example/test programs from the ncurses 6.0 distribution,
+for patch-date 20171111.
 
 This package installs in "bin/ncurses-examples" to avoid conflict with other
 packages.
@@ -22,16 +22,18 @@
 
 %setup -q -n %{AppProgram}-%{AppRelease}
 
+%define debug_package %{nil}
+
 %build
 
 INSTALL_PROGRAM='${INSTALL}' \
-	./configure \
-		--target %{_target_platform} \
-		--prefix=%{_prefix} \
-		--bindir=%{_bindir}/%{AppProgram} \
-		--datadir=%{_datadir}/%{AppProgram} \
-		--with-screen=ncursesw6 \
-		--disable-rpath-hack
+%configure \
+	--target %{_target_platform} \
+	--prefix=%{_prefix} \
+	--bindir=%{_bindir}/%{AppProgram} \
+	--datadir=%{_datadir}/%{AppProgram} \
+	--with-screen=ncursesw6 \
+	--disable-rpath-hack
 
 make
 
@@ -48,9 +50,15 @@
 %files
 %defattr(-,root,root)
 %{_bindir}/%{AppProgram}/*
+%{_datadir}/%{AppProgram}/*
 
 %changelog
 # each patch should add its ChangeLog entries here
 
+* Sat Nov 11 2017 Thomas Dickey
+- add example data-files
+- use rpm built-in "configure"
+- suppress debug-package
+
 * Thu Mar 25 2010 Thomas Dickey
 - initial version
